<?php

namespace App\Filament\Resources\UserTypeRuleResource\Pages;

use App\Filament\Resources\UserTypeRuleResource;
use Filament\Actions;
use Filament\Resources\Pages\CreateRecord;

class CreateUserTypeRule extends CreateRecord
{
    protected static string $resource = UserTypeRuleResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        $data["parameter_value"] = json_encode($data["parameter_value"]);

        return $data;
    }
}
